6.0.0-git
2019-12-06

[#10772] Kronolith incorrectly refuses to update attendee upon response
Summary Kronolith incorrectly refuses to update attendee upon response
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester bklang (at) horde (dot) org
Created 2011-11-17 (2941 days ago)
Due
Updated 2011-11-24 (2934 days ago)
Assigned 2011-11-24 (2934 days ago)
Resolved 2011-11-24 (2934 days ago)
Milestone
Patch No

History
2011-11-24 18:49:14 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2011-11-24 18:48:53 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

updateAttendees() expects email addresses, not From: headers (Bug #10772).

  3 files changed, 7 insertions(+), 2 deletions(-)
http://git.horde.org/horde-git/-/commit/2c9fb69c7ca152ea5c34b655e09cbf8c7873fdf5
2011-11-24 18:48:32 Jan Schneider Version ⇒ Git master
Queue ⇒ IMP
State ⇒ Assigned
 
2011-11-17 00:19:55 Ben Klang Comment #2 Reply to this comment
One possible fix is to change the check to a preg_match like this:

         if (is_null($sender) || !preg_match('/<?$attendee>?/', 
$sender_lcase)) {
2011-11-17 00:16:45 Ben Klang Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Kronolith incorrectly refuses to update attendee upon response
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Using Kronolith I invited a friend to a meeting.  The friend, using 
Horde, replied using Kronolith.  I received the reply via IMP and 
attempted to update his status in the meeting.  Kronolith refused, 
saying "The attendee hasn't been updated because the update was not 
sent from the attendee."

I tracked the cause down to a mismatch between the expected sender and 
the observed sender.  Because I had invited my friend using only his 
email address his response was rejected.  The problem line of code is 
kronolith/lib/Api.php line 1388 which reads:

                 if (is_null($sender) || $sender_lcase == $attendee) {

In this case, $sender_lcase was "ben klang <bklang@horde.org>" and 
$attendee was "bklang@horde.org"

Saved Queries